aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNaveen Saini <naveen.kumar.saini@intel.com>2020-04-24 13:38:39 +0800
committerAnuj Mittal <anuj.mittal@intel.com>2020-04-24 14:15:12 +0800
commitc01c637af238174c17eb1743eec7c91873cda4c3 (patch)
treec77587ce0e861d0735d693a8d8d2f7c99e09646f
parente8f2bfe674afee648a601e45f477bb2bcfdc3097 (diff)
downloadmeta-intel-master-next.tar.gz
meta-intel-master-next.tar.bz2
meta-intel-master-next.zip
libva-utils-intel: keep compatible with zeus as wellmaster-next
To avoid recipe version confilicts with oe-core recipes from dunfell and zeus, better to carry full recipe instead of require libva-utils recipe. Signed-off-by: Naveen Saini <naveen.kumar.saini@intel.com> Signed-off-by: Anuj Mittal <anuj.mittal@intel.com>
-rw-r--r--recipes-multimedia/libva/libva-utils-intel_2.7.1.bb33
1 files changed, 29 insertions, 4 deletions
diff --git a/recipes-multimedia/libva/libva-utils-intel_2.7.1.bb b/recipes-multimedia/libva/libva-utils-intel_2.7.1.bb
index 3a0d278e..137cd866 100644
--- a/recipes-multimedia/libva/libva-utils-intel_2.7.1.bb
+++ b/recipes-multimedia/libva/libva-utils-intel_2.7.1.bb
@@ -1,13 +1,38 @@
# Latest upgrades for media components depend upon libva-utils v2.7.1
# So need this upgrade
-require recipes-graphics/libva/libva-utils_2.6.0.bb
+SUMMARY = "libva-utils is a collection of utilities from libva project"
-SRC_URI_remove = "git://github.com/intel/libva-utils.git;branch=v2.6-branch"
-SRC_URI_prepend = "git://github.com/intel/libva-utils.git;branch=v2.7-branch "
+DESCRIPTION = "libva-utils is a collection of utilities \
+and examples to exercise VA-API in accordance with the libva \
+project.VA-API is an open-source library and API specification, \
+which provides access to graphics hardware acceleration capabilities \
+for video processing. It consists of a main library and driver-specific \
+acceleration backends for each supported hardware vendor"
+HOMEPAGE = "https://01.org/linuxmedia/vaapi"
+BUGTRACKER = "https://github.com/intel/libva-utils/issues"
+
+SECTION = "x11"
+LICENSE = "MIT"
+LIC_FILES_CHKSUM = "file://COPYING;md5=b148fc8adf19dc9aec17cf9cd29a9a5e"
+
+SRC_URI = "git://github.com/intel/libva-utils.git;branch=v2.7-branch"
SRCREV = "5a24c635f6fb2b9ac31cab3360afca50e1860812"
S = "${WORKDIR}/git"
+UPSTREAM_CHECK_GITTAGREGEX = "(?P<pver>(\d+(\.\d+)+))"
+
+DEPENDS = "libva"
+
+inherit meson pkgconfig ${COMPAT_DISTRO_FEATURE_CHECK}
+
+# depends on libva which requires opengl
+REQUIRED_DISTRO_FEATURES = "opengl"
+
+PACKAGECONFIG ??= "${@bb.utils.filter('DISTRO_FEATURES', 'wayland x11', d)}"
+PACKAGECONFIG[x11] = "-Dx11=true, -Dx11=false,virtual/libx11 libxext libxfixes"
+PACKAGECONFIG[wayland] = "-Dwayland=true, -Dwayland=false,wayland-native wayland"
+
PROVIDES = "libva-utils"
-RPROVIDES_${PN} += "libva-uitls"
+RPROVIDES_${PN} += "libva-utils"